View Issue Details

IDProjectCategoryView StatusLast Update
0005877GNUnetotherpublic2019-11-08 11:29
Reporternikita Assigned Tonikita  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.11.7Fixed in Version0.11.7 
Summary0005877: remove plibc, drop severely unmaintained win32 support
Descriptionremove 'plibc.h', all #includes of plibc.h, and then fix the
compiler errors that arise, usually replacing things like "STRERROR"
with "strerror".

See https://lists.gnu.org/archive/html/gnunet-developers/2019-09/msg00002.html
TagsNo tags attached.

Activities

nikita

2019-09-11 14:53

developer   ~0014884

Done in commits from 6e599264ad13e8fc105493d74d7c11d46f8739ed leading up to c4ae64d7988d03a10fd43cf8d0fa81399382fcb3

schanzen

2019-11-08 11:29

manager   ~0015064

housekeeping

Issue History

Date Modified Username Field Change
2019-09-06 09:15 nikita New Issue
2019-09-06 09:15 nikita Status new => assigned
2019-09-06 09:15 nikita Assigned To => nikita
2019-09-10 19:10 nikita Target Version => 0.11.7
2019-09-10 19:10 nikita Summary removing plibc => remove plibc, drop severely unmaintained win32 support
2019-09-11 14:53 nikita Status assigned => resolved
2019-09-11 14:53 nikita Resolution open => fixed
2019-09-11 14:53 nikita Fixed in Version => 0.11.7
2019-09-11 14:53 nikita Note Added: 0014884
2019-11-08 11:29 schanzen Note Added: 0015064
2019-11-08 11:29 schanzen Status resolved => closed